Subject: Re: [PATCH v3 6/6] cgroup: Assign subsystem IDs during compile time

From: Tejun Heo <[email-masked]>
Date: Tue, 14 Aug 2012 10:27:49 -0700

On Tue, Aug 14, 2012 at 03:02:23PM +0200, Daniel Wagner wrote:
> From: Daniel Wagner <[email-masked]>
> 
> We are able to safe some space when we assign the subsystem
> IDs at compile time. Instead of allocating per cgroup
> cgroup->subsys[CGROUP_SUBSYS_COUNT] where CGROUP_SUBSYS_COUNT is
> always 64, we allocate 12 + 1 at max (at this point there are 12
> subsystem). The additinal one is the price we have to pay to
> distinguish between builtin and module subsystems.
> 
> We should only access task_cls_classid() and task_netprioidx()
> if the subsystem is ready to be used using jump labels for this.

I think I want to like this patch but it's kinda confusing to review.
Is there any reasonable way that you can split the core changes from
net_cls ones?

Thanks.

-- 
tejun